﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DasmAsm
{
    class Program
    {
        static void Main(string[] args)
        {
            Mono.Cecil.AssemblyDefinition asm = Mono.Cecil.AssemblyDefinition.ReadAssembly(@"D:\terrariaexperiments\terrariaserver.exe");
            Console.WriteLine("Assembly Name: {0}", asm.FullName);

            Mono.Cecil.AssemblyNameReference asmref = new Mono.Cecil.AssemblyNameReference("RtXnaMock", Version.Parse("1.0.0.0"));

            foreach (var module in asm.Modules)
            {

                // Replace XNA references with mocked XNA references
                for (int i = module.AssemblyReferences.Count - 1; i >= 0; i--)
                {
                    if (module.AssemblyReferences[i].Name.StartsWith("Microsoft.Xna"))
                    {
                        module.AssemblyReferences[i] = asmref;
                    }
                }

            }
            asm.Write(@"D:\terrariaexperiments\TerrariaServerCecil.exe");
            Console.ReadLine();
        }
    }
}
