﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Xna.Framework
{
    public struct Color
    {
        private uint colorValue;

        public Color(int r, int g, int b)
        {
            colorValue = (uint)r * 65536 + (uint)g * 256 + (uint)b;
        }
        public Color(int r, int g, int b, int a)
        {
            colorValue = (uint)a * (256 * 256 * 256) + (uint)r * 65536 + (uint)g * 256 + (uint)b;
        }
        public static Color White { get { return default(Color); } }
    }
}
