﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Xna.Framework
{
    public struct Rectangle
    {
        public int X, Y, Width, Height;

        public Rectangle(int x, int y, int width, int height)
        {
            X = x; Y = y; Width = width; Height = height;
        }

        public bool Intersects(Rectangle value)
        {
            if (value.X >= this.X + this.Width || this.X >= value.X + value.Width || value.Y >= this.Y + this.Height)
            {
                return false;
            }
            return this.Y < value.Y + value.Height;
        }
    }
}
