﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Xna.Framework.Graphics
{
    public class GraphicsAdapter
    {
        private static GraphicsAdapter defaultAdapter = new GraphicsAdapter();
        private static DisplayMode defaultDisplayMode = new DisplayMode();

        public static GraphicsAdapter DefaultAdapter { get { return defaultAdapter; } }
        public DisplayMode CurrentDisplayMode { get { return defaultDisplayMode; } }
        public DisplayModeCollection SupportedDisplayModes { get { return new DisplayModeCollection(); } }
    }
}
